Subject: Re: bug#29083: CC Mode 5.32.99 (C/l); M-x c-defun-mode doesn't show anything

From: Alan Mackenzie <[email-masked]>
Date: Tue, 31 Oct 2017 20:18:53 +0000

Hello again, Felip.

On Tue, Oct 31, 2017 at 18:54:01 +0100, Felip Moll wrote:
> Hi Alan,

> This is great. It works and I understand the issue.

> Just to know, is there any plan to change it to non-interactive and
> provide such an interactive command in CC Mode?

Yes, I will definitely be removing the interactive specification.

As for providing a proper interactive command, perhaps you could help me
along by commenting on my function c-display-defun-name.  It is merely,
at present, my own personal function.  What is it missing, what does it
have which it possibly shouldn't?

I will have to document it in the CC Mode manual, too.

> BR
> Felip M

> --
> Felip Moll Marquès
> Computer Science Engineer
> E-Mail - [email-masked]
> WebPage - http://lipix.ciutadella.es

-- 
Alan Mackenzie (Nuremberg, Germany).